Page MenuHomePhabricator

[clang-rename] add documentation
ClosedPublic

Authored by omtcyf0 on Jul 8 2016, 4:32 AM.

Details

Summary

clang-rename needs at least to have a minimum documentation to provide a small introduction for new users

Diff Detail

Repository
rL LLVM

Event Timeline

omtcyf0 updated this revision to Diff 63199.Jul 8 2016, 4:32 AM
omtcyf0 retitled this revision from to [clang-rename] add documentation.
omtcyf0 updated this object.
omtcyf0 added reviewers: alexfh, ioeric, bkramer, klimek, hokein.
omtcyf0 added a subscriber: cfe-commits.
klimek added inline comments.Jul 8 2016, 4:49 AM
docs/clang-rename.rst
13 ↗(On Diff #63199)

s/"linter"//

omtcyf0 updated this revision to Diff 63202.Jul 8 2016, 4:57 AM
omtcyf0 marked an inline comment as done.
bkramer added inline comments.Jul 11 2016, 8:02 AM
docs/clang-rename.rst
17 ↗(On Diff #63202)

maybe 'is in a very early development stage"?

19 ↗(On Diff #63202)

to the LLVM bug tracker

50 ↗(On Diff #63202)

... the workflow ...

52 ↗(On Diff #63202)

... a command line interface exists, it is highly recommended to use the text editor interface ...

Couple of drive-by comments. Thanks for doing this.

docs/clang-rename.rst
45 ↗(On Diff #63202)

... currently supports ... inside a single ...

Is more natural English.

46 ↗(On Diff #63202)

... the tool's functionality ...

omtcyf0 updated this revision to Diff 63646.Jul 12 2016, 12:20 AM
omtcyf0 marked 6 inline comments as done.

Fixed.

Thanks for the feedback!

Any other objections?

bkramer accepted this revision.Jul 14 2016, 2:21 AM
bkramer edited edge metadata.

lgtm

This revision is now accepted and ready to land.Jul 14 2016, 2:21 AM
This revision was automatically updated to reflect the committed changes.